API Reference

List Agentic Workspaces

List paid Rankhog workspaces and identifiers available to the authenticated actor. Cache policy: live. Idempotency: none. Auth modes: api_key, mcp_oauth, session_bearer.

POST
/agent/v1/workspaces

List paid Rankhog workspaces and identifiers available to the authenticated actor. Cache policy: live. Idempotency: none. Auth modes: api_key, mcp_oauth, session_bearer.

Authorization

AuthorizationBearer <token>

Rankhog organization API key sent as Authorization: Bearer rhog_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agent/v1/workspaces" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "org_2x9rnkhdemo"  }'
{  "workspaces": [    {      "billing": {        "status": "active",        "subscriptionId": "sub_2x9rnkhdemo",        "unlocked": true      },      "managedRedditAccount": {        "billingStatus": "active",        "id": "mra_2x9rnkhdemo",        "redditUsername": "rankhog_founder",        "status": "active"      },      "redditAccount": {        "browserConnectionStatus": "connected",        "healthStatus": "healthy",        "id": "ra_2x9rnkhdemo",        "redditUsername": "rankhog_founder",        "status": "active"      },      "organization": {        "id": "org_2x9rnkhdemo",        "name": "Example SaaS",        "role": "owner",        "slug": "example-saas"      },      "website": {        "displayName": "Example SaaS",        "id": "site_2x9rnkhdemo",        "slug": "example-saas",        "status": "active",        "websiteUrl": "https://example-saas.com"      }    }  ]}
{  "error": {    "code": "agentic_invalid_input",    "details": {      "issues": [        {          "code": "invalid_type",          "message": "Expected string, received undefined.",          "path": [            "organizationId"          ]        }      ]    },    "message": "Request body did not match the agentic capability schema."  }}

{  "error": {    "code": "agentic_unauthorized",    "message": "Authenticate before using Rankhog agentic capabilities."  }}

{  "error": {    "code": "agentic_missing_scope",    "details": {      "missingScopes": [        "rankhog:read"      ]    },    "message": "Missing required OAuth scope: rankhog:read."  }}

{  "error": {    "code": "agentic_internal_error",    "message": "Rankhog could not complete this agentic request."  }}